<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla7test($idformato,$pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
 //   $idformato = $post['idformato'];


 
    // $pdf = new Fpdi('P', 'mm', 'letter');
    // $pdf->setSourceFile('plantillas/Dependientes_7.pdf');

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('7_datos_dependiente', $where, 1);
    $codigo_7 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

//NINGUNO
   if ($codigo_7->ninguno == '1') {
      $logo = SERVIDOR . APP . 'application/images/check2.png';
      $pdf->Image($logo, 197.1, 28.1, 4, 4);
   }
   //SIN CAMBIO
   if ($codigo_7->ninguno == '2') {
     $logo = SERVIDOR . APP . 'application/images/check2.png';
     $pdf->Image($logo, 197.1, 21.8, 4, 4);
   }
   //FORMATO INICIAL
    if ($codigo->tipo_formato == 1) {
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(21);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('  '), 0, 0, true);
    }
   //AGREGO POR LO MENOS 1
   if ($codigo_7->ninguno == '0') {
   $pdf->SetFont('Arial', 'B', 9);
   $pdf->SetTextColor(255, 255, 255);
   $pdf->SetFillColor(122, 70, 100);
   $pdf->SetY(27);
   $pdf->SetX(176);
   $pdf->MultiCell(27, 7, utf8_decode('NÚMERO # 1'), 0, 0, true);
   }  
                $pdf->SetFont('Arial', '', 8);
                $pdf->SetTextColor(0, 0, 0);
                $pdf->SetFillColor(0, 0, 0);
                $pdf->SetY(57);
                $pdf->SetX(13);


    if ($codigo_7->ninguno != '1') {        
                $pdf->Cell(51, 4, utf8_decode($codigo_7->nombre), 0, 0, '', true);
                $pdf->Cell(50, 4, utf8_decode($codigo_7-> primer_apellido), 0, 0, '', true);
                $pdf->Cell(51, 4, utf8_decode($codigo_7-> segundo_apellido), 0, 0, '', true);
                $pdf->Cell(38, 4, utf8_decode($codigo_7-> fecha_nacimiento), 0, 0, '', true);
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7-> rfc), 0, 0, '', true);
               // $pdf->Cell(79, 4, utf8_decode($codigo_7->relacion_declarante));

                if ($codigo_7->relacion_declarante == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(112, 4, utf8_decode($codigo_7-> relacion_declarante_esp), 0, 0, '', true);
                } else {
                    $pdf->Cell(112, 4, utf8_decode($codigo_7-> relacion_declarante), 0, 0, '', true);
                }
                $pdf->Ln(10.5);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7-> ciudadano_extranjero), 0, 0, '', true);
                $pdf->Cell(112, 4, utf8_decode($codigo_7-> curp), 0, 0, '', true);
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(78, 4, utf8_decode($codigo_7-> habita_domicilio), 0, 0, '', true);
                $pdf->Cell(112, 4, utf8_decode($codigo_7-> lugar_residencia), 0, 0, '', true);
                //break



            //case 4:
                $pdf->SetFont('Arial', 'B', 8);
                if ($codigo_7->mexico_extranjero == 'EN EL EXTRANJERO') {
                    $pdf->Text(140, 120, 'CIUDAD/LOCALIDAD');
                    $pdf->Text(38, 131, 'ESTADO/PROVINCIA');
                    $pdf->Text(128, 131, utf8_decode('PAÍS'));
                } else {
                    $pdf->Text(140, 120, 'COLONIA/LOCALIDAD');
                    $pdf->Text(38, 131, utf8_decode('MUNICIPIO/ALCALDÍA'));
                    $pdf->Text(128, 131, utf8_decode('ENTIDAD FEDERATIVA'));
                }
                $pdf->SetFont('Arial', '', 8);

                $pdf->SetY(110);
                $pdf->SetX(108);
                $pdf->Cell(92, 4, utf8_decode($codigo_7-> mexico_extranjero), 0, 0, '', true);
                $pdf->Ln(13);
                $pdf->SetX(13);
                $pdf->Cell(72, 4, utf8_decode($codigo_7-> calle), 0, 0, '', true);
                $pdf->Cell(24, 4, utf8_decode($codigo_7-> numero_ext), 0, 0, '', true);
                $pdf->Cell(22, 4, utf8_decode($codigo_7-> numero_int), 0, 0, '', true);
                $pdf->Cell(72, 4, utf8_decode($codigo_7-> localidad), 0, 0, '', true);
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(72, 4, utf8_decode($codigo_7-> municipio_estado), 0, 0, '', true);
                $pdf->Cell(82, 4, utf8_decode($codigo_7-> entidad_pais), 0, 0, '', true);
                $pdf->Cell(36, 4, utf8_decode($codigo_7-> codigo_postal), 0, 0, '', true);
   


                $pdf->SetY(148.5);
                $pdf->SetX(13);
                if ($codigo_7->actividad_laboral == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(92, 4, utf8_decode($codigo_7-> actividad_laboral_esp), 0, 0, '', true);
                } else {
                    $pdf->Cell(92, 4, utf8_decode($codigo_7-> actividad_laboral), 0, 0, '', true);
                }
                $pdf->Cell(51, 4, utf8_decode($codigo_7-> orden_gobierno), 0, 0, '', true);
                $pdf->Cell(47, 4, utf8_decode($codigo_7-> ambito_publico), 0, 0, '', true);
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> ente_publico), 0, 0, '', true);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> area_adscripcion), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> cargo_publico), 0, 0, '', true);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> funcion_principal), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> salario_publico), 0, 0, '', true);
                $pdf->Cell(95, 4, utf8_decode($codigo_7-> fechaingreso_publico), 0, 0, '', true);
                $pdf->Ln(6);
                $pdf->SetX(137);
                $pdf->Cell(64, 4, utf8_decode($codigo_7-> cargo_privado), 0, 0, '', true);
                $pdf->Ln(5);
                $pdf->SetX(13);
                $pdf->Cell(92, 4, utf8_decode($codigo_7-> nombre_empresa), 0, 0, '', true);
                $pdf->SetX(137);
                $pdf->Cell(64, 4, utf8_decode($codigo_7-> rfc_privado), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(51, 4, utf8_decode($codigo_7-> fechaingreso_privado), 0, 0, '', true);
                if ($codigo_7->sector == '17') {
                    $pdf->Cell(139, 4, utf8_decode($codigo_7-> sector_esp), 0, 0, '', true);
                } else {
                    $pdf->Cell(139, 4, utf8_decode($codigo_7-> sector), 0, 0, '', true); }
                $pdf->Ln(5);
                $pdf->SetX(64);
                $pdf->Cell(41, 4, $codigo_7->salario_privado, 0, 0, '', true);
                $pdf->SetX(184);
                $pdf->Cell(13, 4, utf8_decode($codigo_7-> proveedor_contratista), 0, 0, '', true);
                $pdf->SetY(218.5);
                $pdf->SetX(13);
                $pdf->MultiCell(190, 3.5, utf8_decode($codigo_7-> aclaraciones), 0,  '', true);

                }

  //  $pdf->SetFont('Arial', 'B', 10);
 //   $pdf->SetTextColor(255, 255, 255);
  //  $pdf->SetY(25);
   // $pdf->SetX(120);
 //   $pdf->Cell(48, 4, 'Cantidad - ids:---------'. $codigo_7->iddependiente);
//  $dep = $codigo_7->iddependiente;

  //  return $pdf->Output("ejemplo.pdf", 'I', false);

//----------------------------------------------------------------------Adicionales-----------------------------------------------------------------------------------
 $y = 1;
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('7_datos_dependientes_add', $where, 1);
    $codigo_7_add = $query7->row();
    $pdf->SetTextColor(0,0,0);


    $CI->db->select('*')->from('7_datos_dependientes_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;
    //$pdf->Cell(48, 4, utf8_decode('lengts:---------**********' . $lenght));

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            'idformato' => $consulta[$x]["idformato"],
            'iddependiente' => $consulta[$x]['iddependiente'],
            'nombre' => $consulta[$x]['nombre'],
            'primer_apellido' => $consulta[$x]['primer_apellido'],
            'segundo_apellido' => $consulta[$x]['segundo_apellido'],
            'fecha_nacimiento' => $consulta[$x]['fecha_nacimiento'],
            'rfc' => $consulta[$x]['rfc'],
            'relacion_declarante' => $consulta[$x]['relacion_declarante'],
            'relacion_declarante_esp' => $consulta[$x]['relacion_declarante_esp'],
            'ciudadano_extranjero' => $consulta[$x]['ciudadano_extranjero'],
            'curp' => $consulta[$x]['curp'],
            'habita_domicilio' => $consulta[$x]['habita_domicilio'],
            'lugar_residencia' => $consulta[$x]['lugar_residencia'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'calle' => $consulta[$x]['calle'],
            'numero_ext' => $consulta[$x]['numero_ext'],
            'numero_int' => $consulta[$x]['numero_int'],
            'localidad' => $consulta[$x]['localidad'],
            'municipio_estado' => $consulta[$x]['municipio_estado'],
            'entidad_pais' => $consulta[$x]['entidad_pais'],
            'codigo_postal' => $consulta[$x]['codigo_postal'],
            'actividad_laboral' => $consulta[$x]['actividad_laboral'],
            'actividad_laboral_esp' => $consulta[$x]['actividad_laboral_esp'],
            'orden_gobierno' => $consulta[$x]['orden_gobierno'],
            'ambito_publico' => $consulta[$x]['ambito_publico'],
            'ente_publico' => $consulta[$x]['ente_publico'],
            'area_adscripcion' => $consulta[$x]['area_adscripcion'],
            'cargo_publico' => $consulta[$x]['cargo_publico'],
            'funcion_principal' => $consulta[$x]['funcion_principal'],
            'salario_publico' => $consulta[$x]['salario_publico'],
            'fechaingreso_publico' => $consulta[$x]['fechaingreso_publico'],
            'cargo_privado' => $consulta[$x]['cargo_privado'],
            'nombre_empresa' => $consulta[$x]['nombre_empresa'],
            'rfc_privado' => $consulta[$x]['rfc_privado'],
            'fechaingreso_privado' => $consulta[$x]['fechaingreso_privado'],
            'sector' => $consulta[$x]['sector'],
            'sector_esp' => $consulta[$x]['sector_esp'],
            'salario_privado' => $consulta[$x]['salario_privado'],
            'proveedor_contratista' => $consulta[$x]['proveedor_contratista'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );

        $y++;
        if ($codigo_7_add->idformato == $idformato) {
            $pdf->setSourceFile('plantillas/Dependientes_7.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(21);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 7, utf8_decode('  '), 0, 0, true);
            $pdf->SetY(27);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 7, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
                      //$pdf->Cell(20, 4, utf8_decode('id:---------' . $datos["iddependiente"]), 1, 0, '');
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(010, 010, 010);
            $pdf->SetFillColor(0, 0, 0);
            $pdf->SetY(57);
            $pdf->SetX(13);
            $pdf->Cell(51, 4, utf8_decode($datos["nombre"]), 0, 0, '', true);
            $pdf->Cell(50, 4, utf8_decode($datos["primer_apellido"]), 0, 0, '', true);
            $pdf->Cell(51, 4, utf8_decode($datos["segundo_apellido"]), 0, 0, '', true);
            $pdf->Cell(38, 4, utf8_decode($datos["fecha_nacimiento"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["rfc"]), 0, 0, '', true);
            if ($datos["relacion_declarante"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(112, 4, utf8_decode($datos["relacion_declarante_esp"]), 0, 0, '', true);
            } else {
                $pdf->Cell(112, 4, utf8_decode($datos["relacion_declarante"]), 0, 0, '', true);
            }
            $pdf->Ln(10.5);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["ciudadano_extranjero"]), 0, 0, '', true);
            $pdf->Cell(112, 4, utf8_decode($datos["curp"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(78, 4, utf8_decode($datos["habita_domicilio"]), 0, 0, '', true);
            $pdf->Cell(112, 4, utf8_decode($datos["lugar_residencia"]), 0, 0, '', true);

            $pdf->SetFont('Arial', 'B', 8);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(140, 120, 'CIUDAD/LOCALIDAD');
                $pdf->Text(38, 131, 'ESTADO/PROVINCIA');
                $pdf->Text(128, 131, utf8_decode('PAÍS'));
            } else {
                $pdf->Text(140, 120, 'COLONIA/LOCALIDAD');
                $pdf->Text(38, 131, utf8_decode('MUNICIPIO/ALCALDÍA'));
                $pdf->Text(128, 131, utf8_decode('ENTIDAD FEDERATIVA'));
            }
            $pdf->SetFont('Arial', '', 8);

            $pdf->SetY(110);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(72, 4, utf8_decode($datos["calle"]), 0, 0, '', true);
            $pdf->Cell(24, 4, utf8_decode($datos["numero_ext"]), 0, 0, '', true);
            $pdf->Cell(22, 4, utf8_decode($datos["numero_int"]), 0, 0, '', true);
            $pdf->Cell(72, 4, utf8_decode($datos["localidad"]), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(72, 4, utf8_decode($datos["municipio_estado"]), 0, 0, '', true);
            $pdf->Cell(82, 4, utf8_decode($datos["entidad_pais"]), 0, 0, '', true);
            $pdf->Cell(36, 4, utf8_decode($datos["codigo_postal"]), 0, 0, '', true);

            $pdf->SetY(148.5);
            $pdf->SetX(13);
            if ($datos["actividad_laboral"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(92, 4, utf8_decode($datos["actividad_laboral_esp"]), 0, 0, '', true);
            } else {
                $pdf->Cell(92, 4, utf8_decode($datos["actividad_laboral"]), 0, 0, '', true);
            }
            $pdf->Cell(51, 4, utf8_decode($datos["orden_gobierno"]), 0, 0, '', true);
            $pdf->Cell(47, 4, utf8_decode($datos["ambito_publico"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($datos["ente_publico"]), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($datos["area_adscripcion"]), 0, 0, '', true);
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($datos["cargo_publico"]), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($datos["funcion_principal"]), 0, 0, '', true);
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($datos["salario_publico"]), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($datos["fechaingreso_publico"]), 0, 0, '', true);
            $pdf->Ln(6);
            $pdf->SetX(137);
            $pdf->Cell(64, 4, utf8_decode($datos["cargo_privado"]), 0, 0, '', true);
            $pdf->Ln(5);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["nombre_empresa"]), 0, 0, '', true);
            $pdf->SetX(137);
            $pdf->Cell(64, 4, utf8_decode($datos["rfc_privado"]), 0, 0, '', true);
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(51, 4, utf8_decode($datos["fechaingreso_privado"]), 0, 0, '', true);
            if ($datos["sector"] == '17') {
                $pdf->Cell(139, 4, utf8_decode($datos["sector_esp"]), 0, 0, '', true);
            } else {
                $pdf->Cell(139, 4, utf8_decode($datos["sector"]), 0, 0, '', true);
            }
            $pdf->Ln(5);
            $pdf->SetX(64);
            $pdf->Cell(41, 4, utf8_decode($datos["salario_privado"]), 0, 0, '', true);
            $pdf->SetX(184);
            $pdf->Cell(13, 4, utf8_decode($datos["proveedor_contratista"]), 0, 0, '', true);
            $pdf->SetY(218.5);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5,utf8_decode($datos["aclaraciones"]), 0,  '', true);
        }
    }


}

